%define fname	httplib2

Name:		python-httplib2
Summary:	Python HTTP library module
Version:	0.20.4
Release:	%mkrel 1
Group:		Development/Python
License:	MIT
URL:        https://pypi.python.org/pypi/httplib2
Source0:    https://pypi.python.org/packages/source/h/httplib2/%{fname}-%{version}.tar.xz
Patch1:     %{name}.certfile.patch
Patch3:     %{name}.rfc2459.patch
Patch4:     %{name}-0.9-proxy-http.patch
BuildArch:	noarch

%description
A comprehensive HTTP client library that supports many features left
out of other HTTP libraries.

%package -n python3-%{fname}
Summary:	Python 3 HTTP library module
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%{?python_provide:%python_provide python3-%{fname}}
Requires:	rootcerts

%description -n python3-%{fname}
A comprehensive HTTP client library that supports many features left
out of other HTTP libraries.

%prep
%setup -q -n %{fname}-%{version}
%patch1 -p1 -b .certfile
%patch3 -p1 -b .rfc2459
%patch4 -p1

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{fname}
%{python3_sitelib}/*


%changelog
* Wed Mar 02 2022 TerryN <terryn94 at gmail.com> 0.20.4-1pclos2022
- update and rebuild for python 3.10

* Fri Jan 31 2020 tex - 0.17.0-1pclos2020
- update
